https://azure.com/subscriptions/{subscriptionId}/providers/Microsoft.HybridCompute/machinesLists all the hybrid machines in the specified subscription. Use the nextLink property in the response to get the next page of hybrid machines.
The ID of the target subscription.
The API version to use for this operation.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/subscriptions/{subscriptionId}/providers/Microsoft.HybridCompute/machines' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}https://azure.com/subscriptions/{subscriptionId}/providers/Microsoft.HybridCompute/machinesLists all the hybrid machines in the specified subscription. Use the nextLink property in the response to get the next page of hybrid machines.
The ID of the target subscription.
The API version to use for this operation.
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'https://azure.com/subscriptions/{subscriptionId}/providers/Microsoft.HybridCompute/machines' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}